"""
Generate time series of nominated "gauges".
Input: sww file from run_perth.py
       gauges project.gauge_filename
Output: csv files stage,speed,depth,elevation over time
Stored in the 'outputs_dir' folder for respective .sww file

Note:
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

from os import sep, rename, listdir, system
from os.path import join
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

directory = project.output_folder

time_dir1 = '20090327_135943_run_final_0_51469_lfountai'
##time_dir2 = '20090327_153206_run_final_0_51348_lfountai'
##time_dir3 = '20090327_153231_run_final_0_51253_lfountai'
##time_dir4 = '20090327_153304_run_final_0_50863_lfountai'
time_dir5 = '20090327_153403_run_final_0_51423_lfountai'
time_dir6 = '20090327_153602_run_final_0_62833_lfountai'
time_dirs = [time_dir1, time_dir5, time_dir6] #time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

for time_dir in time_dirs:
    name = join(directory,time_dir,project.scenario_name)
    gauge = project.gauges
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)

